<div class="card">
    <img [src]="product.cover" [alt]="product.name" />
    <div class="card-body">
        <h2 class="card-title">{{ product.name }}</h2>
        <p>{{ product.details }}</p>
        <div class="card-actions justify-between">
            <div class="flex">
                <p *ngIf="product.discountedPrice" class="text-4xl">
                    {{ product.discountedPrice | currency }}
                </p>
                <p
                    [ngClass]="{
                        'text-4xl': !product.discountedPrice,
                        'line-through': product.discountedPrice
                    }"
                >
                    {{ product.price | currency }}
                </p>
            </div>
            <button class="btn btn-primary" [disabled]="!product.price">
                Commander
            </button>
        </div>
    </div>
</div>
